
Family Care - Bug #2400

screen تكليف

07/07/2021 07:01 PM - Saja Nakhleh

Status: Closed Start date: 07/07/2021

Priority: Low Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: issue #1:

a. the new date is validated 

b. the new date will not be shown on the

table. Observe the scenario and the

results on the video:

https://www.loom.com/share/5a4974ebe

93b49c8a9296266dd1acca0

Issue #2:

the advanced change is shown.

evidence 3.gif

Issue #3:

Open file service will be shown on the

main screen to user USR02778,

although it's not shown on the main

menu. evidence 4.gif

Question: 

what should USR02779 find on his

screens, tasks and main page ? as the

current behavior he is screens are

shown normally as supervisor 

Severity: Normal Environment: QA

Category: User management Transaction Number:  

Sub-Category:  Username: Usr00013

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: issue #1:

a. the new date should be validated (could

not be in the past)

b. the new date should be shown on the

table

Issue #2:

the advanced change should no be

available 

Issue #3:

a.Open file service should not be shown

on the main screen to user USR02778

Issue #4:

the following search boxes should be

exist based on Wafaa request:

رقم مدني المكلف بمهامه

رقم مدني للمكلف

اسم مستخدم مكلف بمهامه

اسم مستخدم مكلف

Test Case ID:  
Description

Issue #1:

1. Open تكليف screen

2. Create new تكليف

3. Click update action

4. Set new date and click ok

Issue #2:

1. Open تكليف screen

2. click the action new تكليف

3. Observe the advanced search

Issue #3:

1. Open تكليف screen

2. Create new تكليف of type (searcher to supervisor i.e: USR02778\ researcher USR02779/ supervisor)

3. login the USR02778 and observe the open file service

Issue #4 (sent by email by Wafaa, Observe the (نموذج.pdf) attachment

1. Observe the search boxes

Business issue:

why the (مكلف) or (مكلف بمهامه) that assigned on finished تكليف, could not be assigned for any new تكليف ؟

History

#1 - 07/13/2021 02:27 AM - Saja Nakhleh

- File نموذج.pdf added

- Description updated

- Expected Result updated

#2 - 07/13/2021 12:46 PM - Saeed Ismail

Saja Nakhleh wrote:

Issue #1:

1. Open تكليف screen

2. Create new تكليف

3. Click update action

4. Set new date and click ok

Issue #2:

1. Open تكليف screen

2. click the action new تكليف

3. Observe the advanced search

Issue #3:

1. Open تكليف screen

2. Create new تكليف of type (searcher to supervisor i.e: USR02778\ researcher USR02779/ supervisor)

3. login the USR02778 and observe the open file service

Issue #4 (sent by email by Wafaa, Observe the (نموذج.pdf) attachment

1. Observe the search boxes

Business issue:

why the (مكلف) or (مكلف بمهامه) that assigned on finished تكليف, could not be assigned for any new تكليف ؟

 

Saeed Ismail

Issue #1:

a. fixed

b. fixed

Issue #2:

Not Applicable, Advance search button is impeded component in this specific type of LOVs and connect be hide, the work around solution needs a lot

of changes on screens.
Issue #3: fixed.

Issue #4: not belong to this bug report

Issue #5:Business issue: Ignored

#3 - 07/13/2021 12:47 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

#4 - 07/14/2021 01:23 PM - Saeed Ismail

- File TakleefSearch.png added

update on the previous reply

Issue #4:

we can search for the civil ID of (المكلف والمكلف بمهامه) using the search criteria of the list of values popup, evidence 

#5 - 07/14/2021 10:16 PM - Saja Nakhleh

- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Saeed Ismail

- Priority changed from Normal to Low

Issue #1:

a. the date still not validated, hence a past date could be entered

b. tested and verified

Issue #2:

as confirmed with BA, Advanced search should be removed anywhere it found

Issue #3:

tested and verified.

Issue #4:

verified.

Issue #5:

Not valid issue (working fine)
#6 - 07/16/2021 12:22 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Saja Nakhleh wrote:

Issue #1:

a. the date still not validated, hence a past date could be entered

b. tested and verified

Issue #2:

as confirmed with BA, Advanced search should be removed anywhere it found

Issue #3:

tested and verified.

Issue #4:

verified.

Issue #5:

Not valid issue (working fine)

 

Saja Nakhleh wrote:

Issue #1:

a. fixed

Issue #2:

The advanced search button is now fixed and hidden for all search LOVs

#7 - 07/16/2021 03:06 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Saeed Ismail

Issue #1:

a. still duplicated either on (add new takleef) dialog or update the takleef date dialog

Issue #2:

tested and verified.
#8 - 07/17/2021 02:51 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Saja Nakhleh wrote:

Issue #1:

a. still duplicated either on (add new takleef) dialog or update the takleef date dialog

Issue #2:

tested and verified.

 

Issue #1:

a. fixed

#9 - 07/17/2021 05:24 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #1:

tested and verified

Files

3.GIF 39.4 KB 07/07/2021 Saja Nakhleh

4.GIF 80.1 KB 07/07/2021 Saja Nakhleh

pdf.نموذج 1.38 MB 07/12/2021 Saja Nakhleh

TakleefSearch.png 43.5 KB 07/14/2021 Saeed Ismail
